package com.ruoyi.szxc.mapper;

import java.util.List;
import com.ruoyi.szxc.domain.SzxcLunbo;

/**
 * 轮播设置Mapper接口
 * 
 * @author hs
 * @date 2024-03-16
 */
public interface SzxcLunboMapper 
{
    /**
     * 查询轮播设置
     * 
     * @param id 轮播设置主键
     * @return 轮播设置
     */
    public SzxcLunbo selectSzxcLunboById(Long id);

    /**
     * 查询轮播设置列表
     * 
     * @param szxcLunbo 轮播设置
     * @return 轮播设置集合
     */
    public List<SzxcLunbo> selectSzxcLunboList(SzxcLunbo szxcLunbo);

    /**
     * 新增轮播设置
     * 
     * @param szxcLunbo 轮播设置
     * @return 结果
     */
    public int insertSzxcLunbo(SzxcLunbo szxcLunbo);

    /**
     * 修改轮播设置
     * 
     * @param szxcLunbo 轮播设置
     * @return 结果
     */
    public int updateSzxcLunbo(SzxcLunbo szxcLunbo);

    /**
     * 删除轮播设置
     * 
     * @param id 轮播设置主键
     * @return 结果
     */
    public int deleteSzxcLunboById(Long id);

    /**
     * 批量删除轮播设置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcLunboByIds(Long[] ids);
}
